=== modelling/pymod/CMakeLists.txt ===
set(MODELLING_CPP
  export_extension_scheme.cc
  export_gap.cc
  export_gap_extender.cc
  export_loop_candidate.cc
  export_loop_closure.cc
  export_model.cc
  export_monte_carlo.cc
  export_rigid_blocks.cc
  export_score_container.cc
  export_scoring_weights.cc
  export_sidechain_reconstructor.cc
  export_motif_finder.cc
  wrap_modelling.cc
)

set(MODELLING_PYMOD
  __init__.py
  _closegaps.py
  _molprobity.py
  _pipeline.py
  _ring_punches.py
  _denovo.py
  _fragger_handle.py
  _reconstruct_sidechains.py
  _monte_carlo.py
  _mhandle_helper.py
  _alignment_fiddling.py
  _raw_model.py
)

pymod(NAME modelling
      CPP ${MODELLING_CPP}
      PY ${MODELLING_PYMOD}
      DEPENDS_ON _core _loop _sidechain _scoring)
