=== modelling/src/CMakeLists.txt ===
set(MODELLING_SOURCES
  extension_scheme.cc
  gap.cc
  gap_extender.cc
  model.cc
  all_atom_relaxer.cc
  backbone_relaxer.cc
  ccd.cc
  kic.cc
  loop_candidate.cc
  monte_carlo.cc
  monte_carlo_closer.cc
  monte_carlo_cooler.cc
  monte_carlo_sampler.cc
  monte_carlo_scorer.cc
  rigid_blocks.cc
  score_container.cc
  scoring_weights.cc
  sidechain_reconstructor.cc
  sidechain_env_listener.cc
  motif_finder.cc
)

set(MODELLING_HEADERS
  extension_scheme.hh
  gap.hh
  gap_extender.hh
  model.hh
  all_atom_relaxer.hh
  backbone_relaxer.hh
  ccd.hh
  kic.hh
  loop_candidate.hh
  monte_carlo.hh
  monte_carlo_closer.hh
  monte_carlo_cooler.hh
  monte_carlo_sampler.hh
  monte_carlo_scorer.hh
  rigid_blocks.hh
  score_container.hh
  scoring_weights.hh
  sidechain_reconstructor.hh
  sidechain_env_listener.hh
  motif_finder.hh
  robin_hood.h
)

module(NAME modelling
       HEADERS ${MODELLING_HEADERS}
       SOURCES ${MODELLING_SOURCES}
       DEPENDS_ON promod3_core promod3_loop promod3_scoring promod3_sidechain
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})
