=== modelling/tests/CMakeLists.txt ===
set(MODELLING_UNIT_TESTS
  test_close_gaps.py
  test_gap_extension.py
  test_modelling.py
  test_pipeline.py
  test_ring_punches.py
  test_sidechain_reconstruction.py
  test_alignment_fiddling.py
  test_loop_candidates.cc
  test_loop_closing.cc
  test_sidechain_reconstructor.cc
  tests.cc
)

set(MODELLING_TEST_DATA
  data/1cjx-1.fasta
  data/1cjx-1.pdb.gz
  data/1crn.fasta
  data/1CRN.pdb
  data/1crn_build.pdb
  data/1crn_cut.pdb
  data/1crn_final.pdb
  data/1crn_rec.pdb
  data/1crn_sc.pdb
  data/1crn_sc_test.pdb
  data/1CRNA.hhm
  data/1eye.pdb
  data/1eye_rec.pdb
  data/1eye_sc_test.pdb
  data/1ITX-A-11_sidechain.pdb
  data/1K5C-A-16_clash.pdb
  data/1mcg.pdb
  data/2aoh-1_cut.pdb
  data/2aoh-1_cut_A.fasta
  data/2aoh-1_cut_B.fasta
  data/2dbs.pdb
  data/2jlp-1.fasta
  data/2jlp-1.pdb
  data/2xim-1.fasta
  data/2xim-1.pdb.gz
  data/3b08-3.pdb.gz
  data/3b08-3.fasta
  data/4nyk.pdb
  data/4R6K-A-13_sidechain.pdb
  data/4ksl-1.pdb.gz
  data/4ksl-1.fasta
  data/5d52-1.pdb
  data/5d52-1_cut.pdb
  data/5d52-1_cut_A.fasta
  data/5d52-1_cut_B.fasta
  data/CA-3cm91E.fasta
  data/CA-3cm91E.pdb
  data/cbeta.fasta
  data/cbeta.pdb
  data/compounds.chemlib
  data/del.fasta
  data/ff_NAD.dat
  data/gly.pdb
  data/gly_on_top.pdb
  data/gly_almost_on_top.pdb
  data/gly_shifted_nter.pdb
  data/hetero-punched.pdb
  data/ins.fasta
  data/modelCApartial-5tgl1A.pdb
  data/neighbor-punched.pdb
  data/port_frag_db.dat
  data/port_str_db.dat
  data/sep.fasta
  data/sep.pdb
  data/seq.fasta
  data/smtl2bl4.1.pdb
  data/ter.fasta
  data/terminal_deletion_aln.fasta
  data/double_gap_aln.fasta
)

promod3_unittest(MODULE modelling
                 SOURCES "${MODELLING_UNIT_TESTS}"
                 DATA "${MODELLING_TEST_DATA}")
