=== debian/changelog ===
promod3 (3.2.1+ds-6) unstable; urgency=medium

  * Add extended descriptions for binary packages (Closes: #1022999)
  * Add debian/upstream/metadata with a reference.

 -- Andrius Merkys <merkys@debian.org>  Tue, 22 Nov 2022 02:23:18 -0500

promod3 (3.2.1+ds-5) unstable; urgency=medium

  * Adjust the build to multiarchified openstructure (Closes: #1019095)

 -- Andrius Merkys <merkys@debian.org>  Mon, 05 Sep 2022 02:57:08 -0400

promod3 (3.2.1+ds-4) unstable; urgency=medium

  * Fix issues with binary-indep build.

 -- Andrius Merkys <merkys@debian.org>  Fri, 10 Jun 2022 07:25:53 -0400

promod3 (3.2.1+ds-3) unstable; urgency=medium

  * Restore PROMOD3_EXEC_PATH for promod executable.
  * Install promod3 libexec directory.

 -- Andrius Merkys <merkys@debian.org>  Thu, 09 Jun 2022 03:26:00 -0400

promod3 (3.2.1+ds-2) unstable; urgency=medium

  * python3-promod depends on promod3-data.
  * Fix paths and name for main executable.
  * Enable optimization.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Jun 2022 01:34:47 -0400

promod3 (3.2.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #991673)

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Apr 2022 05:04:49 -0400
