=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DOPTIMIZE=ON -DDISABLE_DOCUMENTATION=ON -DOST_ROOT=/usr -DCOMPOUND_LIB=/var/cache/openstructure/compounds.chemlib

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/pm debian/tmp/usr/bin/promod # See debian/README.Debian

override_dh_install-arch:
	dh_install
	for PKG in core loop modelling scoring sidechain; do \
		dh_install -p libpromod3-$${PKG}-dev usr/include/promod3/$${PKG}; \
		dh_install -p libpromod3-$${PKG}-dev usr/lib64/libpromod3_$${PKG}.so   usr/lib/${DEB_HOST_MULTIARCH}; \
		dh_install -p libpromod3-$${PKG}3.2  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
	done

override_dh_install-indep:
	dh_install
	rm -rf debian/tmp/usr/include/promod3 debian/tmp/usr/lib64
