=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/g,repack,repacksuffix=+ds,dversionmangle=auto \
https://git.scicore.unibas.ch/schwede/ProMod3/-/tags \
 (?:.*?/)?ProMod3-(\d[\d.]*(?:-rc)?)\.tar\.gz
