=== debian/changelog ===
promod3 (3.3.1+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 25 Jul 2023 03:54:25 -0400

promod3 (3.3.1+ds-1~exp) experimental; urgency=medium

  * New upstream release 3.3.1+ds.
  * Bump copyright years.
  * Move bin:promod3 to arch:all.
  * Adjust binary package names.
  * Remove the empty ${python3:Provides} for bin:promod3.
  * bin:promod3 depends on ${python3:Depends} and python3.

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Jul 2023 02:34:20 -0400
