=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  libost-mol-mm-dev,
  libost-seq-alg-dev,
  libost-seq-dev,
- openstructure (>= 2.3.1-6),
+ openstructure (>= 2.5.0),
  python3-dev,
  python3-ost,
 Standards-Version: 4.5.1
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-core3.2 (= ${binary:Version}),
+ libpromod3-core3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -48,7 +48,7 @@
  .
  This package contains development files for ProMod3 core.
 
-Package: libpromod3-core3.2
+Package: libpromod3-core3.3
 Architecture: any
 Section: libs
 Depends:
@@ -66,7 +66,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-loop3.2 (= ${binary:Version}),
+ libpromod3-loop3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -76,7 +76,7 @@
  .
  This package contains development files for loop handling engine.
 
-Package: libpromod3-loop3.2
+Package: libpromod3-loop3.3
 Architecture: any
 Section: libs
 Depends:
@@ -94,7 +94,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-modelling3.2 (= ${binary:Version}),
+ libpromod3-modelling3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -104,7 +104,7 @@
  .
  This package contains development files for modelling engine.
 
-Package: libpromod3-modelling3.2
+Package: libpromod3-modelling3.3
 Architecture: any
 Section: libs
 Depends:
@@ -122,7 +122,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-scoring3.2 (= ${binary:Version}),
+ libpromod3-scoring3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -132,7 +132,7 @@
  .
  This package contains development files for scoring functions.
 
-Package: libpromod3-scoring3.2
+Package: libpromod3-scoring3.3
 Architecture: any
 Section: libs
 Depends:
@@ -150,7 +150,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-sidechain3.2 (= ${binary:Version}),
+ libpromod3-sidechain3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -160,7 +160,7 @@
  .
  This package contains development files for sidechain handling.
 
-Package: libpromod3-sidechain3.2
+Package: libpromod3-sidechain3.3
 Architecture: any
 Section: libs
 Depends:
@@ -175,12 +175,13 @@
  This package contains the shared library for sidechain handling.
 
 Package: promod3
-Architecture: any
-Depends:
+Architecture: all
+Depends:
+ python3,
  python3-ost,
  python3-promod3,
- ${misc:Depends},
- ${shlibs:Depends},
+ ${python3:Depends},
+ ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
  structural biology framework that can perform all steps required to generate
@@ -209,8 +210,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Provides:
- ${python3:Provides},
 X-Python3-Version: ${python3:Versions}
 Description: protein homology modelling engine - Python 3 package
  ProMod3 is a modelling engine based on the OpenStructure computational
