=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	for PKG in core loop modelling scoring sidechain; do \
 		dh_install -p libpromod3-$${PKG}-dev usr/include/promod3/$${PKG}; \
 		dh_install -p libpromod3-$${PKG}-dev usr/lib64/libpromod3_$${PKG}.so   usr/lib/${DEB_HOST_MULTIARCH}; \
-		dh_install -p libpromod3-$${PKG}3.2  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
+		dh_install -p libpromod3-$${PKG}3.3  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
 	done
 
 override_dh_install-indep:
