=== debian/changelog ===
promod3 (3.4.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Jan 2024 02:33:54 -0500

promod3 (3.4.0+ds-1~exp) experimental; urgency=medium

  * New upstream release 3.4.0+ds.
  * Drop PM3ArgParseTests.patch: integrated upstream.
  * Accommodate soversion bump.
  * Bump copyright year.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Jan 2024 02:43:58 -0500

promod3 (3.3.1+ds-2) unstable; urgency=medium

  * Simplify debian/rules.
  * Execute tests sequentially to fix FTBFS due to dependency of test
    execution order (Closes: #1057951)

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Dec 2023 08:52:41 -0500
