=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-core3.3 (= ${binary:Version}),
+ libpromod3-core3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -48,7 +48,7 @@
  .
  This package contains development files for ProMod3 core.
 
-Package: libpromod3-core3.3
+Package: libpromod3-core3.4
 Architecture: any
 Section: libs
 Depends:
@@ -66,7 +66,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-loop3.3 (= ${binary:Version}),
+ libpromod3-loop3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -76,7 +76,7 @@
  .
  This package contains development files for loop handling engine.
 
-Package: libpromod3-loop3.3
+Package: libpromod3-loop3.4
 Architecture: any
 Section: libs
 Depends:
@@ -94,7 +94,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-modelling3.3 (= ${binary:Version}),
+ libpromod3-modelling3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -104,7 +104,7 @@
  .
  This package contains development files for modelling engine.
 
-Package: libpromod3-modelling3.3
+Package: libpromod3-modelling3.4
 Architecture: any
 Section: libs
 Depends:
@@ -122,7 +122,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-scoring3.3 (= ${binary:Version}),
+ libpromod3-scoring3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -132,7 +132,7 @@
  .
  This package contains development files for scoring functions.
 
-Package: libpromod3-scoring3.3
+Package: libpromod3-scoring3.4
 Architecture: any
 Section: libs
 Depends:
@@ -150,7 +150,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-sidechain3.3 (= ${binary:Version}),
+ libpromod3-sidechain3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -160,7 +160,7 @@
  .
  This package contains development files for sidechain handling.
 
-Package: libpromod3-sidechain3.3
+Package: libpromod3-sidechain3.4
 Architecture: any
 Section: libs
 Depends:
