## promod3 3.4.2%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # versioning info
 set(PROMOD3_VERSION_MAJOR 3)
 set(PROMOD3_VERSION_MINOR 4)
-set(PROMOD3_VERSION_PATCH 0)
+set(PROMOD3_VERSION_PATCH 2)
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_MAJOR}.${PROMOD3_VERSION_MINOR})
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_STRING}.${PROMOD3_VERSION_PATCH})
 
@@ -103,7 +103,7 @@
   # this URL should always point to the latest version of OST
   set(OST_DOC_URL "https://www.openstructure.org/docs")
 endif()
-find_package(OPENSTRUCTURE 2.6.0 REQUIRED
+find_package(OPENSTRUCTURE 2.9.1 REQUIRED
              COMPONENTS io mol seq seq_alg mol_alg conop img mol_mm)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
