## promod3 3.4.2+ds

=== core/src/CMakeLists.txt ===
set(CORE_HEADERS
  check_io.hh
  cluster.hh
  dynamic_spatial_organizer.hh
  export_helper.hh
  geom_base.hh
  geom_stems.hh
  message.hh
  portable_binary_data_sink.hh
  portable_binary_data_source.hh
  portable_binary_serializer.hh
  runtime_profiling.hh
  superpose.hh
  enumerator.hh
  graph.hh
  tree.hh
  tetrahedral_polytope.hh
  graph_minimizer.hh
  eigen_types.hh
)

set(CORE_SOURCES
  cluster.cc
  geom_base.cc
  geom_stems.cc
  superpose.cc
  graph.cc
  tree.cc
  tetrahedral_polytope.cc
  graph_minimizer.cc
)

module(NAME core HEADERS ${CORE_HEADERS} SOURCES ${CORE_SOURCES}
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})
