=== doc/tests/CMakeLists.txt ===
set(DOC_UNIT_TESTS
  test_doctests.py
)

set(DOC_TEST_DATA
  data/1AKIA.hhm
  data/1AKI.pdb
  data/1CRNA.hhm
  data/1crn_cut.pdb
  data/1crn.fasta
  data/1CRN.pdb
  data/1eye.pdb
  data/1eye_rec.pdb
  data/gly.pdb
  data/port_str_db.dat
  data/1AKE.pdb
  data/1E2Q.pdb
  data/1KO5.pdb
  data/2IYW.pdb
)

set (DOC_TEST_SCRIPTS
  scripts/action_test.py
  scripts/action_test_verbose.py

  scripts/core_pm3argparse.py
  scripts/core_msg_error.py
  scripts/core_file_checks.py

  scripts/hello_world.py
  scripts/unittest_sidechain_reconstruction.py

  scripts/loop_main.py
  scripts/loop_backbone.py
  scripts/loop_structure_db.py
  scripts/loop_frag_db.py
  scripts/loop_fragger.py
  scripts/loop_torsion_sampler.py
  scripts/loop_all_atom.py
  scripts/loop_mm_sys_creation.py

  scripts/scoring_main.py

  scripts/modelling_all.py
  scripts/modelling_steps.py
  scripts/modelling_merge_gaps_by_distance.py
  scripts/modelling_close_small_deletions.py
  scripts/modelling_fill_loops_by_database.py
  scripts/modelling_fill_loops_by_monte_carlo.py
  scripts/modelling_model_termini.py
  scripts/modelling_monte_carlo.py
  scripts/modelling_loop_candidates.py
  scripts/modelling_loop_scoring.py
  scripts/modelling_reconstruct_sidechains.py
  scripts/modelling_sidechain_reconstructor.py
  scripts/modelling_allatomrelaxer.py
  scripts/modelling_motif_finder.py

  scripts/sidechain_steps.py
)

# we add doc. test to separate target doctest (instead of codetest)
promod3_unittest(MODULE doc
  SOURCES "${DOC_UNIT_TESTS}"
  DATA "${DOC_TEST_DATA};${DOC_TEST_SCRIPTS}"
  BASE_TARGET doctest
)

# extra manual copy of test_actions.py (as it is in different folder)
copy_if_different("${CMAKE_CURRENT_SOURCE_DIR}/../../actions/tests"
  "${CMAKE_BINARY_DIR}/tests/doc/scripts" "test_actions.py"
  TARGETS "test_data_doc")

# ensure that doc is rebuilt when examples change
set(_doctest_DEPS test_data_doc)
foreach(_file ${DOC_TEST_SCRIPTS})
  list(APPEND _doctest_DEPS "${CMAKE_CURRENT_SOURCE_DIR}/${_file}")
endforeach()
set(PM3_DOC_DEPS_doctests "${_doctest_DEPS}" CACHE INTERNAL "" FORCE)
