=== loop/src/CMakeLists.txt ===
set(LOOP_HEADERS
  all_atom_env.hh
  all_atom_positions.hh
  amino_acid_atoms.hh
  backbone.hh
  bb_trace_param.hh
  data_bag.hh
  dense_hash_table.hh
  dense_map.hh
  dense_map.hh
  density_creator.hh
  forcefield_lookup.hh
  frag_db.hh
  fragger.hh
  hydrogen_constructor.hh
  hydrogen_rule_lookup.hh
  idx_handler.hh
  loop_object_loader.hh
  mm_system_creator.hh
  psipred_prediction.hh
  stem_geom.hh
  structure_db.hh
  torsion_sampler.hh
  ushort_vec.hh
  sidechain_atom_rule_lookup.hh
  sidechain_atom_constructor.hh
  structure_db_custom_types.hh
)

set(LOOP_SOURCES
  all_atom_env.cc
  all_atom_positions.cc
  amino_acid_atoms.cc
  backbone.cc
  bb_trace_param.cc
  density_creator.cc
  forcefield_lookup.cc
  frag_db.cc
  fragger.cc
  hydrogen_constructor.cc
  hydrogen_rule_lookup.cc
  idx_handler.cc
  loop_object_loader.cc
  mm_system_creator.cc
  psipred_prediction.cc
  structure_db.cc
  torsion_sampler.cc
  sidechain_atom_rule_lookup.cc
  sidechain_atom_constructor.cc
)

module(NAME loop HEADERS ${LOOP_HEADERS} SOURCES ${LOOP_SOURCES}
       DEPENDS_ON promod3_core
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES} ${BOOST_IOSTREAM_LIBRARIES})
