=== loop/tests/CMakeLists.txt ===
set(LOOP_UNIT_TESTS
  test_all_atom_env.cc
  test_all_atom_positions.cc
  test_amino_acid_atoms.cc
  test_backbone.cc
  test_forcefield.cc
  test_hydrogens.cc
  test_idx_handler.cc
  test_mm_system_creator.cc
  test_psipred_prediction.cc
  test_sidechain_construction.cc
  test_torsion_sampler.cc
  test_structuredb.cc
  tests.cc
)

set(LOOP_TEST_DATA
  data/1A88A.hhm
  data/1A88A.pdb
  data/1A88A_with_gap.pdb
  data/1akyA.horiz
  data/1CRN.pdb
  data/3DEFA.pdb
  data/4nyk.pdb
  data/all_aa.pdb
  data/all_aa_prot_polar_hisd.pdb
  data/all_aa_prot_polar_hise.pdb
  data/all_aa_prot_polar_hish.pdb
  data/all_aa_prot_ref.pdb
  data/CHARMM27.dat
)

promod3_unittest(MODULE loop
                 SOURCES "${LOOP_UNIT_TESTS}"
                 DATA "${LOOP_TEST_DATA}"
                 TARGET loop_data)
