=== modelling/src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
   sidechain_reconstructor.cc
   sidechain_env_listener.cc
   motif_finder.cc
+  afdb.cc
 )
 
 set(MODELLING_HEADERS
@@ -43,6 +44,7 @@
   sidechain_env_listener.hh
   motif_finder.hh
   robin_hood.h
+  afdb.hh
 )
 
 module(NAME modelling
