=== scoring/data/CMakeLists.txt ===
# convert files
convert_module_data(MODULE scoring FILE cb_packing_scorer.dat
                    SCRIPT convert_binaries.py ARGS CBPackingScorer)

convert_module_data(MODULE scoring FILE cbeta_scorer.dat
                    SCRIPT convert_binaries.py ARGS CBetaScorer)

convert_module_data(MODULE scoring FILE reduced_scorer.dat
                    SCRIPT convert_binaries.py ARGS ReducedScorer)

convert_module_data(MODULE scoring FILE hbond_scorer.dat
                    SCRIPT convert_binaries.py ARGS HBondScorer)

convert_module_data(MODULE scoring FILE ss_agreement_scorer.dat
                    SCRIPT convert_binaries.py ARGS SSAgreementScorer)

convert_module_data(MODULE scoring FILE torsion_scorer.dat
                    SCRIPT convert_binaries.py ARGS TorsionScorer)

convert_module_data(MODULE scoring FILE aa_scorer.dat
                    SCRIPT convert_binaries.py ARGS AllAtomInteractionScorer)

convert_module_data(MODULE scoring FILE aa_packing_scorer.dat
                    SCRIPT convert_binaries.py ARGS AllAtomPackingScorer)
