=== scoring/src/CMakeLists.txt ===
set(SCORING_HEADERS
backbone_score_base.hh
backbone_overall_scorer.hh
scoring_object_loader.hh
cbeta_env_listener.hh
cb_packing_score.hh
cbeta_score.hh
reduced_env_listener.hh
reduced_score.hh
clash_env_listener.hh
clash_score.hh
density_score.hh
hbond_env_listener.hh
hbond_score.hh
ss_agreement_score.hh
ss_agreement_env_listener.hh
torsion_score.hh
pairwise_scoring_function.hh
pairwise_score.hh
constraint_constructor.hh
all_atom_score_base.hh
all_atom_overall_scorer.hh
all_atom_interaction_env_listener.hh
all_atom_interaction_score.hh
all_atom_packing_score.hh
all_atom_clash_score.hh
scwrl3_energy_functions.hh
)

set(SCORING_SOURCES
backbone_score_base.cc
backbone_overall_scorer.cc
scoring_object_loader.cc
cbeta_env_listener.cc
cb_packing_score.cc
cbeta_score.cc
reduced_env_listener.cc
reduced_score.cc
clash_env_listener.cc
clash_score.cc
density_score.cc
hbond_env_listener.cc
hbond_score.cc
ss_agreement_score.cc
ss_agreement_env_listener.cc
torsion_score.cc
pairwise_score.cc
constraint_constructor.cc
all_atom_overall_scorer.cc
all_atom_interaction_env_listener.cc
all_atom_interaction_score.cc
all_atom_packing_score.cc
all_atom_clash_score.cc
)

module(NAME scoring
       HEADERS ${SCORING_HEADERS}
       SOURCES ${SCORING_SOURCES}
       DEPENDS_ON promod3_core promod3_loop
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})
