=== sidechain/src/CMakeLists.txt ===
set(SIDECHAIN_HEADERS
  bb_dep_rotamer_lib.hh
  disulfid.hh
  frame.hh
  rotamer_graph.hh
  particle.hh
  particle_scoring_base.hh
  particle_scoring.hh
  scwrl4_particle_scoring.hh
  scwrl3_particle_scoring.hh
  vina_particle_scoring.hh
  rotamer.hh
  rotamer_cruncher.hh
  rotamer_density.hh
  rotamer_group.hh
  rotamer_id.hh
  rotamer_lib.hh
  rotamer_lib_entry.hh
  rotamer_lib_reader.hh
  sidechain_connector.hh
  sidechain_object_loader.hh
  rotamer_constructor.hh
  rotamer_lookup.hh
  scwrl4_rotamer_constructor.hh
  scwrl3_rotamer_constructor.hh
  vina_rotamer_constructor.hh
  subrotamer_optimizer.hh
)

set(SIDECHAIN_SOURCES
  bb_dep_rotamer_lib.cc
  disulfid.cc
  frame.cc
  particle_scoring.cc
  scwrl4_particle_scoring.cc
  scwrl3_particle_scoring.cc
  vina_particle_scoring.cc
  rotamer.cc
  rotamer_cruncher.cc
  rotamer_density.cc
  rotamer_group.cc
  rotamer_id.cc
  rotamer_lib.cc
  rotamer_lib_entry.cc
  rotamer_lib_reader.cc
  sidechain_connector.cc
  sidechain_object_loader.cc
  rotamer_constructor.cc
  rotamer_lookup.cc
  scwrl4_rotamer_constructor.cc
  scwrl3_rotamer_constructor.cc
  vina_rotamer_constructor.cc
  subrotamer_optimizer.cc
)

module(NAME sidechain HEADERS ${SIDECHAIN_HEADERS} SOURCES ${SIDECHAIN_SOURCES}
	     DEPENDS_ON promod3_core promod3_loop
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})
