=== debian/changelog ===
promod3 (3.4.2+ds-1) unstable; urgency=medium

  * New upstream release 3.4.2+ds.

 -- Andrius Merkys <merkys@debian.org>  Tue, 01 Apr 2025 05:15:30 -0400

promod3 (3.4.1+ds-1) unstable; urgency=medium

  * New upstream release 3.4.1+ds.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Dec 2024 08:49:33 -0500

promod3 (3.4.0+ds-2) unstable; urgency=medium

  * Build with openstructure/2.9.0 needs libsqlite3-dev.
  * Fix debian/watch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Nov 2024 03:08:03 -0500
