=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  libost-mol-mm-dev,
  libost-seq-alg-dev,
  libost-seq-dev,
+ libsqlite3-dev,
  openstructure (>= 2.5.0),
  python3-dev,
  python3-ost,
