## promod3 3.6.0%2Bds

=== modelling/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(pymod)
add_subdirectory(tests)
add_subdirectory(doc)
