=== core/doc/CMakeLists.txt ===
set(CORE_RST
index.rst
pm3argparse.rst
helper.rst
geometry.rst
runtime_profiling.rst
setcompoundschemlib.rst
graph_minimizer.rst
)

add_doc_source(NAME core RST ${CORE_RST})
