=== modelling/tests/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,6 @@
   data/CA-3cm91E.pdb
   data/cbeta.fasta
   data/cbeta.pdb
-  data/compounds.chemlib
   data/del.fasta
   data/ff_NAD.dat
   data/gly.pdb
