## promod3 3.6.0%2bds

=== core/CMakeLists.txt ===
add_subdirectory(init)
add_subdirectory(src)
add_subdirectory(pymod)
add_subdirectory(doc)
add_subdirectory(tests)
