=== doc/container/CMakeLists.txt ===
set(CONTAINER_RST
  index.rst
  docker.rst
  singularity.rst
)

add_doc_source(NAME container RST ${CONTAINER_RST})
